Bug 208324 - lang/php56 configtest support in php-fpm rc script
Summary: lang/php56 configtest support in php-fpm rc script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-27 12:03 UTC by ganbold-freebsd
Modified: 2016-05-03 03:23 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ale)
junovitch: merge-quarterly?


Attachments
patch that enables configtest in php-fpm.in rc script (720 bytes, patch)
2016-03-27 12:03 UTC, ganbold-freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganbold-freebsd 2016-03-27 12:03:19 UTC
Created attachment 168678 [details]
patch that enables configtest in php-fpm.in rc script

I have a small patch that enables configtest in php-fpm rc script of php55, php56 and php70.
I would like to mention "A-Team Systems" for sponsoring this change.

Would you mind to commit following ?:

Commit message can be:

"Add configtest support for php-fpm rc script.

Submitted by:   ganbold
Sponsored by:   A-Team Systems"
Comment 1 commit-hook freebsd_committer 2016-04-12 01:15:33 UTC
A commit references this bug:

Author: ganbold
Date: Tue Apr 12 01:14:50 UTC 2016
New revision: 413091
URL: https://svnweb.freebsd.org/changeset/ports/413091

Log:
  Add configtest support for php-fpm rc script.

  PR:	208324
  Sponsored by:	A-Team Systems

Changes:
  head/lang/php56/Makefile
  head/lang/php56/files/php-fpm.in
Comment 2 commit-hook freebsd_committer 2016-05-03 03:11:35 UTC
A commit references this bug:

Author: junovitch
Date: Tue May  3 03:10:37 UTC 2016
New revision: 414512
URL: https://svnweb.freebsd.org/changeset/ports/414512

Log:
  lang/php56: Restore ?= which was removed in r413091

  PR:		208324 (introduced regression)
  Approved by:	portmgr (blanket)

Changes:
  head/lang/php56/Makefile
Comment 3 commit-hook freebsd_committer 2016-05-03 03:19:39 UTC
A commit references this bug:

Author: junovitch
Date: Tue May  3 03:18:41 UTC 2016
New revision: 414515
URL: https://svnweb.freebsd.org/changeset/ports/414515

Log:
  MFH: r413091 r414510 r414512

  Add configtest support for php-fpm rc script.

  PR:	208324
  Sponsored by:	A-Team Systems

  lang/php56: update 5.6.20 -> 5.6.21

  Changelog:	http://www.php.net/ChangeLog-5.php#5.6.21

  PR:		209145
  Reported by	Christian Schwarz <me@cschwarz.com>
  Security:	CVE-2016-3074
  Security:	https://vuxml.FreeBSD.org/freebsd/5764c634-10d2-11e6-94fa-002590263bf5.html

  lang/php56: Restore ?= which was removed in r413091

  PR:		208324 (introduced regression)
  Approved by:	portmgr (blanket)

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q2/
  branches/2016Q2/lang/php56/Makefile
  branches/2016Q2/lang/php56/distinfo
  branches/2016Q2/lang/php56/files/php-fpm.in
Comment 4 commit-hook freebsd_committer 2016-05-03 03:19:42 UTC
A commit references this bug:

Author: junovitch
Date: Tue May  3 03:18:41 UTC 2016
New revision: 414515
URL: https://svnweb.freebsd.org/changeset/ports/414515

Log:
  MFH: r413091 r414510 r414512

  Add configtest support for php-fpm rc script.

  PR:	208324
  Sponsored by:	A-Team Systems

  lang/php56: update 5.6.20 -> 5.6.21

  Changelog:	http://www.php.net/ChangeLog-5.php#5.6.21

  PR:		209145
  Reported by	Christian Schwarz <me@cschwarz.com>
  Security:	CVE-2016-3074
  Security:	https://vuxml.FreeBSD.org/freebsd/5764c634-10d2-11e6-94fa-002590263bf5.html

  lang/php56: Restore ?= which was removed in r413091

  PR:		208324 (introduced regression)
  Approved by:	portmgr (blanket)

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q2/
  branches/2016Q2/lang/php56/Makefile
  branches/2016Q2/lang/php56/distinfo
  branches/2016Q2/lang/php56/files/php-fpm.in
Comment 5 Jason Unovitch freebsd_committer 2016-05-03 03:23:16 UTC
Set merge-quarterly+

This was MFH'd to keep head/quarterly in sync as part of the security update to 5.6.21.  It was MFH'd after fixing a regression that would have caused the various php56-* slave ports to inherit 'PORTREVISION= 0' due to the = in the assignment that must be a ?= for slave ports.